### Method

# Soup Session send_async

#### Declaration [src]

    void
    soup_session_send_async (
      SoupSession* session,
      SoupMessage* msg,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously sends `msg` and waits for the beginning of a response.

When `callback` is called, then either `msg` has been sent, and its response headers received, or else an error has occurred. Call `soup_session_send_finish()` to get a `GInputStream` for reading the response body.

See `soup_session_send()` for more details on the general semantics.

#### Parameters

`msg` | `SoupMessage`
| A `SoupMessage`.
| The data is owned by the caller of the function.
`io_priority` | `int`
| The I/O priority of the request.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| The callback to invoke.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.